Project

General

Profile

Bug #56934

crash: File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", in urlopen: chunked=chunked)

Added by Telemetry Bot 4 months ago. Updated 4 months ago.

Status:
New
Priority:
Normal
Assignee:
-
Category:
-
Target version:
-
% Done:

0%

Source:
Telemetry
Tags:
Backport:
Regression:
No
Severity:
3 - minor
Reviewed:
Affected Versions:
ceph-qa-suite:
Pull request ID:
Crash signature (v1):

1714a27f7f1770b25119644841289b0aec5e30bc68b90d6fa083e97aba3145a3


Description

http://telemetry.front.sepia.ceph.com:4000/d/jByk5HaMz/crash-spec-x-ray?orgId=1&var-sig_v2=a891dad07367c1c4a68b583869c42b59e5d82dde5623f17138b2de0712a90489

Sanitized backtrace:

    File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", in urlopen: chunked=chunked)
    File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", in _make_request: self._validate_conn(conn)
    File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", in _validate_conn: conn.connect()
    File "/usr/lib/python3.6/site-packages/urllib3/connection.py", in connect: ssl_context=context)
    File "/usr/lib/python3.6/site-packages/urllib3/util/ssl_.py", in ssl_wrap_socket: return context.wrap_socket(sock)
    File "/usr/lib64/python3.6/ssl.py", in wrap_socket: _context=self, _session=session)
    File "/usr/lib64/python3.6/ssl.py", in __init__: self.do_handshake()
    File "/usr/lib64/python3.6/ssl.py", in do_handshake: self._sslobj.do_handshake()
    File "/usr/lib64/python3.6/ssl.py", in do_handshake: self._sslobj.do_handshake()
    ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed
    During handling of the above exception, another exception
    Traceback (most recent call
    File "mgr/rook/module.py", in serve: self._k8s_CoreV1_api.list_namespaced_pod(self._rook_env.namespace)
    File "/usr/lib/python3.6/site-packages/kubernetes/client/api/core_v1_api.py", in list_namespaced_pod: (data) = self.list_namespaced_pod_with_http_info(namespace, **kwargs)  # noqa: E501
    File "/usr/lib/python3.6/site-packages/kubernetes/client/api/core_v1_api.py", in list_namespaced_pod_with_http_info: collection_formats=collection_formats)
    File "/usr/lib/python3.6/site-packages/kubernetes/client/api_client.py", in call_api: _preload_content, _request_timeout)
    File "/usr/lib/python3.6/site-packages/kubernetes/client/api_client.py", in __call_api: _request_timeout=_request_timeout)
    File "/usr/lib/python3.6/site-packages/kubernetes/client/api_client.py", in request: headers=headers)
    File "/usr/lib/python3.6/site-packages/kubernetes/client/rest.py", in GET: query_params=query_params)
    File "/usr/lib/python3.6/site-packages/kubernetes/client/rest.py", in request: headers=headers)
    File "/usr/lib/python3.6/site-packages/urllib3/request.py", in request: **urlopen_kw)
    File "/usr/lib/python3.6/site-packages/urllib3/request.py", in request_encode_url: return self.urlopen(method, url, **extra_kw)
    File "/usr/lib/python3.6/site-packages/urllib3/poolmanager.py", in urlopen: response = conn.urlopen(method, u.request_uri, **kw)
    File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", in urlopen: **response_kw)
    File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", in urlopen: **response_kw)
    File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", in urlopen: **response_kw)
    File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", in urlopen: _stacktrace=sys.exc_info()[2])
    File "/usr/lib/python3.6/site-packages/urllib3/util/retry.py", in increment: raise MaxRetryError(_pool, url, error or ResponseError(cause))

Crash dump sample:
{
    "backtrace": [
        "  File \"/usr/lib/python3.6/site-packages/urllib3/connectionpool.py\", line 600, in urlopen\n    chunked=chunked)",
        "  File \"/usr/lib/python3.6/site-packages/urllib3/connectionpool.py\", line 343, in _make_request\n    self._validate_conn(conn)",
        "  File \"/usr/lib/python3.6/site-packages/urllib3/connectionpool.py\", line 839, in _validate_conn\n    conn.connect()",
        "  File \"/usr/lib/python3.6/site-packages/urllib3/connection.py\", line 358, in connect\n    ssl_context=context)",
        "  File \"/usr/lib/python3.6/site-packages/urllib3/util/ssl_.py\", line 367, in ssl_wrap_socket\n    return context.wrap_socket(sock)",
        "  File \"/usr/lib64/python3.6/ssl.py\", line 365, in wrap_socket\n    _context=self, _session=session)",
        "  File \"/usr/lib64/python3.6/ssl.py\", line 776, in __init__\n    self.do_handshake()",
        "  File \"/usr/lib64/python3.6/ssl.py\", line 1036, in do_handshake\n    self._sslobj.do_handshake()",
        "  File \"/usr/lib64/python3.6/ssl.py\", line 648, in do_handshake\n    self._sslobj.do_handshake()",
        "ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:897)",
        "\nDuring handling of the above exception, another exception occurred:\n",
        "Traceback (most recent call last):",
        "  File \"/usr/share/ceph/mgr/rook/module.py\", line 195, in serve\n    self._k8s_CoreV1_api.list_namespaced_pod(self._rook_env.namespace)",
        "  File \"/usr/lib/python3.6/site-packages/kubernetes/client/api/core_v1_api.py\", line 12803, in list_namespaced_pod\n    (data) = self.list_namespaced_pod_with_http_info(namespace, **kwargs)  # noqa: E501",
        "  File \"/usr/lib/python3.6/site-packages/kubernetes/client/api/core_v1_api.py\", line 12905, in list_namespaced_pod_with_http_info\n    collection_formats=collection_formats)",
        "  File \"/usr/lib/python3.6/site-packages/kubernetes/client/api_client.py\", line 345, in call_api\n    _preload_content, _request_timeout)",
        "  File \"/usr/lib/python3.6/site-packages/kubernetes/client/api_client.py\", line 176, in __call_api\n    _request_timeout=_request_timeout)",
        "  File \"/usr/lib/python3.6/site-packages/kubernetes/client/api_client.py\", line 366, in request\n    headers=headers)",
        "  File \"/usr/lib/python3.6/site-packages/kubernetes/client/rest.py\", line 241, in GET\n    query_params=query_params)",
        "  File \"/usr/lib/python3.6/site-packages/kubernetes/client/rest.py\", line 214, in request\n    headers=headers)",
        "  File \"/usr/lib/python3.6/site-packages/urllib3/request.py\", line 68, in request\n    **urlopen_kw)",
        "  File \"/usr/lib/python3.6/site-packages/urllib3/request.py\", line 89, in request_encode_url\n    return self.urlopen(method, url, **extra_kw)",
        "  File \"/usr/lib/python3.6/site-packages/urllib3/poolmanager.py\", line 324, in urlopen\n    response = conn.urlopen(method, u.request_uri, **kw)",
        "  File \"/usr/lib/python3.6/site-packages/urllib3/connectionpool.py\", line 667, in urlopen\n    **response_kw)",
        "  File \"/usr/lib/python3.6/site-packages/urllib3/connectionpool.py\", line 667, in urlopen\n    **response_kw)",
        "  File \"/usr/lib/python3.6/site-packages/urllib3/connectionpool.py\", line 667, in urlopen\n    **response_kw)",
        "  File \"/usr/lib/python3.6/site-packages/urllib3/connectionpool.py\", line 638, in urlopen\n    _stacktrace=sys.exc_info()[2])",
        "  File \"/usr/lib/python3.6/site-packages/urllib3/util/retry.py\", line 399, in increment\n    raise MaxRetryError(_pool, url, error or ResponseError(cause))",
        "<redacted>" 
    ],
    "ceph_version": "17.2.1",
    "crash_id": "2022-07-24T03:07:56.516079Z_a41fb82b-c221-421e-ae26-7577a864bba5",
    "entity_name": "mgr.482bb7cec976406d9af54723479697dfa021b1f0",
    "mgr_module": "rook",
    "mgr_module_caller": "PyModuleRunner::serve",
    "mgr_python_exception": "MaxRetryError",
    "os_id": "centos",
    "os_name": "CentOS Stream",
    "os_version": "8",
    "os_version_id": "8",
    "process_name": "ceph-mgr",
    "stack_sig": "7017f53f90a6f4b8b22165ceddcf9741b3ff3b21455556704693be49d3453175",
    "timestamp": "2022-07-24T03:07:56.516079Z",
    "utsname_machine": "x86_64",
    "utsname_release": "5.4.0-80-generic",
    "utsname_sysname": "Linux",
    "utsname_version": "#90-Ubuntu SMP Fri Jul 9 22:49:44 UTC 2021" 
}

History

#1 Updated by Telemetry Bot 4 months ago

  • Crash signature (v1) updated (diff)
  • Crash signature (v2) updated (diff)
  • Affected Versions v17.2.1 added

Also available in: Atom PDF